import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { TpLinkPowerlinePlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class TpLinkPowerlinePlatformAccessory {
    private readonly platform;
    private readonly accessory;
    private service;
    constructor(platform: TpLinkPowerlinePlatform, accessory: PlatformAccessory);
    /**
     * Handle the "GET" requests from HomeKit
     * These are sent when HomeKit wants to know the current state of the accessory, for example, checking if a Light bulb is on.
     *
     * GET requests should return as fast as possbile. A long delay here will result in
     * HomeKit being unresponsive and a bad user experience in general.
     *
     * If your device takes time to respond you should update the status of your device
     * asynchronously instead using the `updateCharacteristic` method instead.
     */
    getStatus(): Promise<CharacteristicValue>;
}
//# sourceMappingURL=platformAccessory.d.ts.map